%define version 1.7.2q
Name:				pktstat
Summary:			Displays a live list of active connections and what files are being transferred.
Version:			%{version}
Release:			0
Copyright:			Public Domain
Packager:			William Stearns <wstearns@pobox.com>
Group:				Applications/Internet
Source:				http://www.itee.uq.edu.au/~leonard/personal/software/pktstat-%{version}.tar.gz
Vendor:				David Leonard
URL:				http://www.itee.uq.edu.au/~leonard/personal/software/#pktstat
BuildRoot:			/tmp/pktstat-broot


%description
Display a real-time list of active connections seen on a network
interface, and how much bandwidth is being used by what. Partially
decodes HTTP and FTP protocols to show what filename is being
transferred. X11 application names are also shown. Entries hang around
on the screen for a few seconds so you can see what just happened. Also
accepts filter expressions a la tcpdump.

%changelog
* Thu Jul 01 2003 William Stearns <wstearns@pobox.com>
- First RPM release from 1.7.2q sources


%prep
%setup


%build
make all


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/pktstat-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/bin
	install -d $RPM_BUILD_ROOT/usr/man/man1
	#make PREFIX=$RPM_BUILD_ROOT/usr install
	cp -p pktstat $RPM_BUILD_ROOT/usr/bin
	cp -p pktstat.1 $RPM_BUILD_ROOT/usr/man/man1/pktstat.1
	#cp -p $RPM_SOURCE_DIR/goober.init $RPM_BUILD_ROOT/etc/rc.d/init.d/goober
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/pktstat-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%files
%defattr(-,root,root)
%attr(755,root,root)			/usr/bin/pktstat
%attr(644,root,root)			/usr/man/man1/pktstat.1.gz
				%doc	README


